Subject: Re: Flush Tx skbs after link down

From: Stefan Rompf <[email-masked]>
Date: Wed, 15 Jan 2003 10:57:42 +0100

> I think this can't be achieved without driver support, simply because
> pending DMA transfers must be removed before freeing the skbs, and this
> is specific. So the driver model needs to be extended to have a reset

PS: We also need to avoid that new skbs are enqueued while the link is
down without making the critical code path in dev_queue_xmit() much
longer. Right now, I don't have any ideas beyond a proof of concept for
this part.

Stefan